
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 出入库原因-国际化
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class StockChangeReasonLang extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long stockChangeReasonId;

    /**
     * 语言 0.中文 1.英文
     */
    private Integer lang;

    /**
     * 原因
     */
    private String reason;

    /**
     * 备注
     */
    private String remark;

    public Long getStockChangeReasonId() {
        return stockChangeReasonId;
    }

    public void setStockChangeReasonId(Long stockChangeReasonId) {
        this.stockChangeReasonId = stockChangeReasonId;
    }

    public Integer getLang() {
        return lang;
    }

    public void setLang(Integer lang) {
        this.lang = lang;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "StockChangeReasonLang{" +
                "stockChangeReasonId=" + stockChangeReasonId +
                ",lang=" + lang +
                ",reason=" + reason +
                ",remark=" + remark +
                '}';
    }
}
